# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_INSTALLED_FALSE = @KDE_INSTALLED_FALSE@
KDE_INSTALLED_TRUE = @KDE_INSTALLED_TRUE@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = @LDFLAGS@
LIBBSD = @LIBBSD@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXF86VIDMODE = @LIBXF86VIDMODE@
LIBXINERAMA = @LIBXINERAMA@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SLP = @LIB_SLP@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
certmanager_SUBDIR_included_FALSE = @certmanager_SUBDIR_included_FALSE@
certmanager_SUBDIR_included_TRUE = @certmanager_SUBDIR_included_TRUE@

datadir = $(kde_datadir)/krfb/pics
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdict_SUBDIR_included_FALSE = @kdict_SUBDIR_included_FALSE@
kdict_SUBDIR_included_TRUE = @kdict_SUBDIR_included_TRUE@
kfile_plugins_SUBDIR_included_FALSE = @kfile_plugins_SUBDIR_included_FALSE@
kfile_plugins_SUBDIR_included_TRUE = @kfile_plugins_SUBDIR_included_TRUE@
kget_SUBDIR_included_FALSE = @kget_SUBDIR_included_FALSE@
kget_SUBDIR_included_TRUE = @kget_SUBDIR_included_TRUE@
kit_SUBDIR_included_FALSE = @kit_SUBDIR_included_FALSE@
kit_SUBDIR_included_TRUE = @kit_SUBDIR_included_TRUE@
kmail_SUBDIR_included_FALSE = @kmail_SUBDIR_included_FALSE@
kmail_SUBDIR_included_TRUE = @kmail_SUBDIR_included_TRUE@
kmailcvt_SUBDIR_included_FALSE = @kmailcvt_SUBDIR_included_FALSE@
kmailcvt_SUBDIR_included_TRUE = @kmailcvt_SUBDIR_included_TRUE@
knewsticker_SUBDIR_included_FALSE = @knewsticker_SUBDIR_included_FALSE@
knewsticker_SUBDIR_included_TRUE = @knewsticker_SUBDIR_included_TRUE@
knode_SUBDIR_included_FALSE = @knode_SUBDIR_included_FALSE@
knode_SUBDIR_included_TRUE = @knode_SUBDIR_included_TRUE@
korn_SUBDIR_included_FALSE = @korn_SUBDIR_included_FALSE@
korn_SUBDIR_included_TRUE = @korn_SUBDIR_included_TRUE@
kpf_SUBDIR_included_FALSE = @kpf_SUBDIR_included_FALSE@
kpf_SUBDIR_included_TRUE = @kpf_SUBDIR_included_TRUE@
kppp_SUBDIR_included_FALSE = @kppp_SUBDIR_included_FALSE@
kppp_SUBDIR_included_TRUE = @kppp_SUBDIR_included_TRUE@
krdc_SUBDIR_included_FALSE = @krdc_SUBDIR_included_FALSE@
krdc_SUBDIR_included_TRUE = @krdc_SUBDIR_included_TRUE@
krfb_SUBDIR_included_FALSE = @krfb_SUBDIR_included_FALSE@
krfb_SUBDIR_included_TRUE = @krfb_SUBDIR_included_TRUE@
ksirc_SUBDIR_included_FALSE = @ksirc_SUBDIR_included_FALSE@
ksirc_SUBDIR_included_TRUE = @ksirc_SUBDIR_included_TRUE@
ktalkd_SUBDIR_included_FALSE = @ktalkd_SUBDIR_included_FALSE@
ktalkd_SUBDIR_included_TRUE = @ktalkd_SUBDIR_included_TRUE@
kxmlrpc_SUBDIR_included_FALSE = @kxmlrpc_SUBDIR_included_FALSE@
kxmlrpc_SUBDIR_included_TRUE = @kxmlrpc_SUBDIR_included_TRUE@
lanbrowsing_SUBDIR_included_FALSE = @lanbrowsing_SUBDIR_included_FALSE@
lanbrowsing_SUBDIR_included_TRUE = @lanbrowsing_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkdenetwork_SUBDIR_included_FALSE = @libkdenetwork_SUBDIR_included_FALSE@
libkdenetwork_SUBDIR_included_TRUE = @libkdenetwork_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimelib_SUBDIR_included_FALSE = @mimelib_SUBDIR_included_FALSE@
mimelib_SUBDIR_included_TRUE = @mimelib_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@
KDE_CXXFLAGS = $(USE_THREADS)

#>- METASOURCES = AUTO

noinst_LTLIBRARIES = libkrfbconfig.la
#>- libkrfbconfig_la_SOURCES = configuration.cc manageinvitations.ui \
#>-                            personalinvitation.ui invite.ui invitation.cc
#>+ 2
libkrfbconfig_la_SOURCES=configuration.cc  \
                             invitation.cc manageinvitations.cc personalinvitation.cc invite.cc

libkrfbconfig_la_LIBADD = ../srvloc/libsrvloc.la $(LIB_KDEUI)

bin_PROGRAMS = krfb
#>- krfb_SOURCES = rfbcontroller.cc xupdatescanner.cc main.cpp \
#>-                newconnectiondialog.ui krfbifaceimpl.cc krfbiface.skel \
#>-                trayicon.cpp
#>+ 3
krfb_SOURCES=rfbcontroller.cc xupdatescanner.cc main.cpp \
                krfbifaceimpl.cc  \
               trayicon.cpp krfbiface_skel.cc newconnectiondialog.cc

krfb_LDADD = libkrfbconfig.la ../libvncserver/libvncserver.la ../srvloc/libsrvloc.la -lXtst $(LIB_KDEUI) $(LIBJPEG) 
krfb_LDFLAGS = $(all_libraries) $(KDE_RPATH)

noinst_HEADERS = configuration.h invitation.h invite.h krfbiface.h \
                krfbifaceimpl.h rfbcontroller.h trayicon.h xupdatescanner.h

data_DATA = eyes-open24.png eyes-closed24.png connection-side-image.png

kde_services_DATA = kinetd_krfb.desktop

lnkdir = $(kde_appsdir)/System
lnk_DATA = krfb.desktop

appdir = $(kde_datadir)/krfb
app_DATA = eventsrc

KDE_ICON = krfb

INCLUDES = -I$(top_srcdir)/krfb/libvncserver -I$(top_srcdir)/krfb/srvloc \
           $(all_includes)

subdir = krfb/krfb
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)

libkrfbconfig_la_LDFLAGS =
libkrfbconfig_la_DEPENDENCIES = ../srvloc/libsrvloc.la
am_libkrfbconfig_la_OBJECTS = configuration.lo invitation.lo
#>- libkrfbconfig_la_OBJECTS = $(am_libkrfbconfig_la_OBJECTS)
#>+ 4
libkrfbconfig_la_final_OBJECTS = libkrfbconfig_la.all_cc.lo 
libkrfbconfig_la_nofinal_OBJECTS = configuration.lo invitation.lo manageinvitations.lo personalinvitation.lo invite.lo
@KDE_USE_FINAL_FALSE@libkrfbconfig_la_OBJECTS = $(libkrfbconfig_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkrfbconfig_la_OBJECTS = $(libkrfbconfig_la_final_OBJECTS)
bin_PROGRAMS = krfb$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_krfb_OBJECTS = rfbcontroller.$(OBJEXT) xupdatescanner.$(OBJEXT) \
	main.$(OBJEXT) krfbifaceimpl.$(OBJEXT) trayicon.$(OBJEXT)
#>- krfb_OBJECTS = $(am_krfb_OBJECTS)
#>+ 5
krfb_final_OBJECTS = krfb.all_cc.o krfb.all_cpp.o 
krfb_nofinal_OBJECTS = rfbcontroller.$(OBJEXT) xupdatescanner.$(OBJEXT) \
	main.$(OBJEXT) krfbifaceimpl.$(OBJEXT) trayicon.$(OBJEXT) krfbiface_skel.$(OBJEXT) newconnectiondialog.$(OBJEXT)
@KDE_USE_FINAL_FALSE@krfb_OBJECTS = $(krfb_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@krfb_OBJECTS = $(krfb_final_OBJECTS)
krfb_DEPENDENCIES = libkrfbconfig.la ../libvncserver/libvncserver.la \
	../srvloc/libsrvloc.la

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/configuration.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/invitation.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/krfbifaceimpl.Po ./$(DEPDIR)/main.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/rfbcontroller.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/trayicon.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/xupdatescanner.Po
#>+ 13
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/manageinvitations.P $(DEPDIR)/personalinvitation.P $(DEPDIR)/invite.P $(DEPDIR)/krfbiface_skel.P $(DEPDIR)/newconnectiondialog.P  $(DEPDIR)/libkrfbconfig_la.all_cc.P $(DEPDIR)/krfb.all_cc.P $(DEPDIR)/krfb.all_cpp.P  ./$(DEPDIR)/configuration.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/invitation.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/krfbifaceimpl.Po ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/rfbcontroller.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/trayicon.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/xupdatescanner.Po
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/manageinvitations.P $(DEPDIR)/personalinvitation.P $(DEPDIR)/invite.P $(DEPDIR)/krfbiface_skel.P $(DEPDIR)/newconnectiondialog.P  ./$(DEPDIR)/configuration.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/invitation.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/krfbifaceimpl.Po ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/rfbcontroller.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/trayicon.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/xupdatescanner.Po

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libkrfbconfig_la_SOURCES) $(krfb_SOURCES)
DATA = $(app_DATA) $(data_DATA) $(kde_services_DATA) $(lnk_DATA)

HEADERS = $(noinst_HEADERS)

DIST_COMMON = $(noinst_HEADERS) Makefile.am Makefile.in
SOURCES = $(libkrfbconfig_la_SOURCES) $(krfb_SOURCES)

#>- all: all-am
#>+ 1
all: docs-am  all-am

.SUFFIXES:
.SUFFIXES: .cc .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  krfb/krfb/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  krfb/krfb/Makefile
	cd $(top_srcdir) && perl admin/am_edit krfb/krfb/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libkrfbconfig.la: $(libkrfbconfig_la_OBJECTS) $(libkrfbconfig_la_DEPENDENCIES) 
	$(CXXLINK)  $(libkrfbconfig_la_LDFLAGS) $(libkrfbconfig_la_OBJECTS) $(libkrfbconfig_la_LIBADD) $(LIBS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
krfb$(EXEEXT): $(krfb_OBJECTS) $(krfb_DEPENDENCIES) 
	@rm -f krfb$(EXEEXT)
	$(CXXLINK) $(krfb_LDFLAGS) $(krfb_OBJECTS) $(krfb_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/configuration.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/invitation.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/krfbifaceimpl.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rfbcontroller.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trayicon.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xupdatescanner.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cc.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cc.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cc.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
appDATA_INSTALL = $(INSTALL_DATA)
install-appDATA: $(app_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(appdir)
	@list='$(app_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(appDATA_INSTALL) $$d$$p $(DESTDIR)$(appdir)/$$f"; \
	  $(appDATA_INSTALL) $$d$$p $(DESTDIR)$(appdir)/$$f; \
	done

uninstall-appDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(app_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(appdir)/$$f"; \
	  rm -f $(DESTDIR)$(appdir)/$$f; \
	done
dataDATA_INSTALL = $(INSTALL_DATA)
install-dataDATA: $(data_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@list='$(data_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(dataDATA_INSTALL) $$d$$p $(DESTDIR)$(datadir)/$$f"; \
	  $(dataDATA_INSTALL) $$d$$p $(DESTDIR)$(datadir)/$$f; \
	done

uninstall-dataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(data_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(datadir)/$$f"; \
	  rm -f $(DESTDIR)$(datadir)/$$f; \
	done
kde_servicesDATA_INSTALL = $(INSTALL_DATA)
install-kde_servicesDATA: $(kde_services_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kde_servicesdir)
	@list='$(kde_services_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(kde_servicesDATA_INSTALL) $$d$$p $(DESTDIR)$(kde_servicesdir)/$$f"; \
	  $(kde_servicesDATA_INSTALL) $$d$$p $(DESTDIR)$(kde_servicesdir)/$$f; \
	done

uninstall-kde_servicesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(kde_services_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(kde_servicesdir)/$$f"; \
	  rm -f $(DESTDIR)$(kde_servicesdir)/$$f; \
	done
lnkDATA_INSTALL = $(INSTALL_DATA)
install-lnkDATA: $(lnk_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(lnkdir)
	@list='$(lnk_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(lnkDATA_INSTALL) $$d$$p $(DESTDIR)$(lnkdir)/$$f"; \
	  $(lnkDATA_INSTALL) $$d$$p $(DESTDIR)$(lnkdir)/$$f; \
	done

uninstall-lnkDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(lnk_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(lnkdir)/$$f"; \
	  rm -f $(DESTDIR)$(lnkdir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=invite.ui manageinvitations.ui.h eventsrc eyes-open.png newconnectiondialog.ui cr32-app-krfb.png lo16-app-krfb.png connection-side-image.png eyes-open24.png manageinvitations.ui lo32-app-krfb.png cr48-app-krfb.png personalinvitation.ui krfb.desktop kinetd_krfb.desktop eyes-closed24.png 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(appdir) $(DESTDIR)$(datadir) $(DESTDIR)$(kde_servicesdir) $(DESTDIR)$(lnkdir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-am
#>+ 1
clean: kde-rpo-clean  clean-am

#>- clean-am: clean-binPROGRAMS clean-generic clean-libtool \
#>- 	clean-noinstLTLIBRARIES mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-ui clean-final  clean-binPROGRAMS clean-generic clean-libtool \
	clean-noinstLTLIBRARIES mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

#>- install-data-am: install-appDATA install-dataDATA \
#>- 	install-kde_servicesDATA install-lnkDATA
#>+ 2
install-data-am: install-kde-icons  install-appDATA install-dataDATA \
	install-kde_servicesDATA install-lnkDATA

install-exec-am: install-binPROGRAMS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

#>- uninstall-am: uninstall-appDATA uninstall-binPROGRAMS uninstall-dataDATA \
#>- 	uninstall-info-am uninstall-kde_servicesDATA uninstall-lnkDATA
#>+ 2
uninstall-am: uninstall-kde-icons  uninstall-appDATA uninstall-binPROGRAMS uninstall-dataDATA \
	uninstall-info-am uninstall-kde_servicesDATA uninstall-lnkDATA

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic clean-libtool clean-noinstLTLIBRARIES ctags \
	distclean distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-appDATA install-binPROGRAMS \
	install-data install-data-am install-dataDATA install-exec \
	install-exec-am install-info install-info-am \
	install-kde_servicesDATA install-lnkDATA install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool pdf \
	pdf-am ps ps-am tags uninstall uninstall-am uninstall-appDATA \
	uninstall-binPROGRAMS uninstall-dataDATA uninstall-info-am \
	uninstall-kde_servicesDATA uninstall-lnkDATA


messages: rc.cpp
	$(XGETTEXT) rc.cpp *.cpp *.cc -o $(podir)/krfb.pot
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 40
manageinvitations.cc: $(srcdir)/manageinvitations.ui manageinvitations.h manageinvitations.moc
	rm -f manageinvitations.cc
	echo '#include <klocale.h>' > manageinvitations.cc
	$(UIC) -tr ${UIC_TR} -i manageinvitations.h $(srcdir)/manageinvitations.ui > manageinvitations.cc.temp ; ret=$$?; \
	sed -e "s,${UIC_TR}( \"\" ),QString::null,g" manageinvitations.cc.temp | sed -e "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | sed -e "s,image\([0-9][0-9]*\)_data,img\1_manageinvitations,g" >> manageinvitations.cc ;\
	rm -f manageinvitations.cc.temp ;\
	if test "$$ret" = 0; then echo '#include "manageinvitations.moc"' >> manageinvitations.cc; else rm -f manageinvitations.cc ; exit $$ret ; fi

manageinvitations.h: $(srcdir)/manageinvitations.ui
	$(UIC) -o manageinvitations.h $(srcdir)/manageinvitations.ui

manageinvitations.moc: manageinvitations.h
	$(MOC) manageinvitations.h -o manageinvitations.moc
personalinvitation.cc: $(srcdir)/personalinvitation.ui personalinvitation.h personalinvitation.moc
	rm -f personalinvitation.cc
	echo '#include <klocale.h>' > personalinvitation.cc
	$(UIC) -tr ${UIC_TR} -i personalinvitation.h $(srcdir)/personalinvitation.ui > personalinvitation.cc.temp ; ret=$$?; \
	sed -e "s,${UIC_TR}( \"\" ),QString::null,g" personalinvitation.cc.temp | sed -e "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | sed -e "s,image\([0-9][0-9]*\)_data,img\1_personalinvitation,g" >> personalinvitation.cc ;\
	rm -f personalinvitation.cc.temp ;\
	if test "$$ret" = 0; then echo '#include "personalinvitation.moc"' >> personalinvitation.cc; else rm -f personalinvitation.cc ; exit $$ret ; fi

personalinvitation.h: $(srcdir)/personalinvitation.ui
	$(UIC) -o personalinvitation.h $(srcdir)/personalinvitation.ui

personalinvitation.moc: personalinvitation.h
	$(MOC) personalinvitation.h -o personalinvitation.moc
invite.cc: $(srcdir)/invite.ui invite.h invite.moc
	rm -f invite.cc
	echo '#include <klocale.h>' > invite.cc
	$(UIC) -tr ${UIC_TR} -i invite.h $(srcdir)/invite.ui > invite.cc.temp ; ret=$$?; \
	sed -e "s,${UIC_TR}( \"\" ),QString::null,g" invite.cc.temp | sed -e "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | sed -e "s,image\([0-9][0-9]*\)_data,img\1_invite,g" >> invite.cc ;\
	rm -f invite.cc.temp ;\
	if test "$$ret" = 0; then echo '#include "invite.moc"' >> invite.cc; else rm -f invite.cc ; exit $$ret ; fi

invite.h: $(srcdir)/invite.ui
	$(UIC) -o invite.h $(srcdir)/invite.ui

invite.moc: invite.h
	$(MOC) invite.h -o invite.moc

#>+ 3
trayicon.moc: $(srcdir)/trayicon.h
	$(MOC) $(srcdir)/trayicon.h -o trayicon.moc

#>+ 1
mocs: trayicon.moc
#>+ 3
krfbifaceimpl.moc: $(srcdir)/krfbifaceimpl.h
	$(MOC) $(srcdir)/krfbifaceimpl.h -o krfbifaceimpl.moc

#>+ 1
mocs: krfbifaceimpl.moc
#>+ 3
configuration.moc: $(srcdir)/configuration.h
	$(MOC) $(srcdir)/configuration.h -o configuration.moc

#>+ 1
mocs: configuration.moc
#>+ 3
rfbcontroller.moc: $(srcdir)/rfbcontroller.h
	$(MOC) $(srcdir)/rfbcontroller.h -o rfbcontroller.moc

#>+ 1
mocs: rfbcontroller.moc
#>+ 5
krfbiface.kidl: $(srcdir)/krfbiface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/krfbiface.h > krfbiface.kidl || ( rm -f krfbiface.kidl ; false )
krfbiface_skel.cc: krfbiface.kidl
	$(DCOPIDL2CPP) --c++-suffix cc --no-signals --no-stub krfbiface.kidl

#>+ 14
newconnectiondialog.cc: $(srcdir)/newconnectiondialog.ui newconnectiondialog.h newconnectiondialog.moc
	rm -f newconnectiondialog.cc
	echo '#include <klocale.h>' > newconnectiondialog.cc
	$(UIC) -tr ${UIC_TR} -i newconnectiondialog.h $(srcdir)/newconnectiondialog.ui > newconnectiondialog.cc.temp ; ret=$$?; \
	sed -e "s,${UIC_TR}( \"\" ),QString::null,g" newconnectiondialog.cc.temp | sed -e "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | sed -e "s,image\([0-9][0-9]*\)_data,img\1_newconnectiondialog,g" >> newconnectiondialog.cc ;\
	rm -f newconnectiondialog.cc.temp ;\
	if test "$$ret" = 0; then echo '#include "newconnectiondialog.moc"' >> newconnectiondialog.cc; else rm -f newconnectiondialog.cc ; exit $$ret ; fi

newconnectiondialog.h: $(srcdir)/newconnectiondialog.ui
	$(UIC) -o newconnectiondialog.h $(srcdir)/newconnectiondialog.ui

newconnectiondialog.moc: newconnectiondialog.h
	$(MOC) newconnectiondialog.h -o newconnectiondialog.moc

#>+ 3
clean-metasources:
	-rm -f  trayicon.moc krfbifaceimpl.moc configuration.moc rfbcontroller.moc

#>+ 4
clean-idl:
	-rm -f \
	krfbiface_skel.cc krfbiface_skel.h krfbiface.kidl 

#>+ 7
clean-ui:
	-rm -f \
	manageinvitations.cc manageinvitations.h manageinvitations.moc \
	personalinvitation.cc personalinvitation.h personalinvitation.moc \
	invite.cc invite.h invite.moc \
	newconnectiondialog.cc newconnectiondialog.h newconnectiondialog.moc 

#>+ 2
docs-am:

#>+ 16
install-kde-icons:
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/32x32/apps
	$(INSTALL_DATA) $(srcdir)/lo32-app-krfb.png $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/krfb.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps
	$(INSTALL_DATA) $(srcdir)/cr48-app-krfb.png $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/krfb.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/locolor/16x16/apps
	$(INSTALL_DATA) $(srcdir)/lo16-app-krfb.png $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/krfb.png
	$(mkinstalldirs) $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps
	$(INSTALL_DATA) $(srcdir)/cr32-app-krfb.png $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/krfb.png

uninstall-kde-icons:
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/32x32/apps/krfb.png
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/48x48/apps/krfb.png
	-rm -f $(DESTDIR)$(kde_icondir)/locolor/16x16/apps/krfb.png
	-rm -f $(DESTDIR)$(kde_icondir)/crystalsvg/32x32/apps/krfb.png

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  krfb/krfb/Makefile
	cd $(top_srcdir) && perl admin/am_edit krfb/krfb/Makefile.in


#>+ 11
libkrfbconfig_la.all_cc.cc: $(srcdir)/Makefile.in $(srcdir)/configuration.cc $(srcdir)/invitation.cc manageinvitations.cc personalinvitation.cc invite.cc  configuration.moc
	@echo 'creating libkrfbconfig_la.all_cc.cc ...'; \
	rm -f libkrfbconfig_la.all_cc.files libkrfbconfig_la.all_cc.final; \
	echo "#define KDE_USE_FINAL 1" >> libkrfbconfig_la.all_cc.final; \
	for file in configuration.cc invitation.cc manageinvitations.cc personalinvitation.cc invite.cc ; do \
	  echo "#include \"$$file\"" >> libkrfbconfig_la.all_cc.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkrfbconfig_la.all_cc.final; \
	done; \
	cat libkrfbconfig_la.all_cc.final libkrfbconfig_la.all_cc.files > libkrfbconfig_la.all_cc.cc; \
	rm -f libkrfbconfig_la.all_cc.final libkrfbconfig_la.all_cc.files

#>+ 11
krfb.all_cc.cc: $(srcdir)/Makefile.in $(srcdir)/rfbcontroller.cc $(srcdir)/xupdatescanner.cc $(srcdir)/krfbifaceimpl.cc krfbiface_skel.cc newconnectiondialog.cc  trayicon.moc krfbifaceimpl.moc rfbcontroller.moc
	@echo 'creating krfb.all_cc.cc ...'; \
	rm -f krfb.all_cc.files krfb.all_cc.final; \
	echo "#define KDE_USE_FINAL 1" >> krfb.all_cc.final; \
	for file in rfbcontroller.cc xupdatescanner.cc krfbifaceimpl.cc krfbiface_skel.cc newconnectiondialog.cc ; do \
	  echo "#include \"$$file\"" >> krfb.all_cc.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> krfb.all_cc.final; \
	done; \
	cat krfb.all_cc.final krfb.all_cc.files > krfb.all_cc.cc; \
	rm -f krfb.all_cc.final krfb.all_cc.files

#>+ 11
krfb.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/main.cpp $(srcdir)/trayicon.cpp  trayicon.moc krfbifaceimpl.moc rfbcontroller.moc
	@echo 'creating krfb.all_cpp.cpp ...'; \
	rm -f krfb.all_cpp.files krfb.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> krfb.all_cpp.final; \
	for file in main.cpp trayicon.cpp ; do \
	  echo "#include \"$$file\"" >> krfb.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> krfb.all_cpp.final; \
	done; \
	cat krfb.all_cpp.final krfb.all_cpp.files > krfb.all_cpp.cpp; \
	rm -f krfb.all_cpp.final krfb.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkrfbconfig_la.all_cc.cc krfb.all_cc.cc krfb.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libkrfbconfig_la_OBJECTS="$(libkrfbconfig_la_final_OBJECTS)" krfb_OBJECTS="$(krfb_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libkrfbconfig_la_OBJECTS="$(libkrfbconfig_la_final_OBJECTS)" krfb_OBJECTS="$(krfb_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libkrfbconfig_la_OBJECTS="$(libkrfbconfig_la_nofinal_OBJECTS)" krfb_OBJECTS="$(krfb_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libkrfbconfig_la_OBJECTS="$(libkrfbconfig_la_nofinal_OBJECTS)" krfb_OBJECTS="$(krfb_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 16
$(srcdir)/krfbifaceimpl.cc: newconnectiondialog.h 
$(srcdir)/trayicon.cpp: newconnectiondialog.h 
configuration.o: configuration.moc 
$(srcdir)/main.cpp: newconnectiondialog.h 
$(srcdir)/configuration.cc: manageinvitations.h personalinvitation.h invite.h 
$(srcdir)/invitation.cc: manageinvitations.h personalinvitation.h invite.h 
$(srcdir)/xupdatescanner.cc: newconnectiondialog.h 
krfbifaceimpl.o: krfbifaceimpl.moc 
$(srcdir)/rfbcontroller.cc: newconnectiondialog.h 
trayicon.lo: trayicon.moc 
trayicon.o: trayicon.moc 
rfbcontroller.o: rfbcontroller.moc 
configuration.lo: configuration.moc 
krfbifaceimpl.lo: krfbifaceimpl.moc 
rfbcontroller.lo: rfbcontroller.moc 
